package com.dcit.danger.dao;

import com.dcit.danger.dto.EnterpriseDangerNumDTO;
import com.dcit.danger.dto.EnterpriseRegDTO;
import com.dcit.danger.dto.query.EnterpriseInfoQuery;
import com.dcit.danger.model.EnterpriseBasicInfo;
import com.dcit.danger.model.EnterpriseBasicInfoExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface EnterpriseBasicInfoMapper {
    long countByExample(EnterpriseBasicInfoExample example);

    List<Map<Object, Object>> countByRegulation();

    int deleteByExample(EnterpriseBasicInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(EnterpriseBasicInfo record);

    int insertSelective(EnterpriseBasicInfo record);

    List<EnterpriseBasicInfo> selectByExample(EnterpriseBasicInfoExample example);

    EnterpriseBasicInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") EnterpriseBasicInfo record, @Param("example") EnterpriseBasicInfoExample example);

    int updateByExample(@Param("record") EnterpriseBasicInfo record, @Param("example") EnterpriseBasicInfoExample example);

    int updateByPrimaryKeySelective(EnterpriseBasicInfo record);

    int updateByPrimaryKey(EnterpriseBasicInfo record);
    
    List<EnterpriseRegDTO> selectEnterpriseRegInfo(EnterpriseInfoQuery enterpriseInfoQuery);
    
    EnterpriseRegDTO selectEnterpriseRegInfoById(String enterpriseId);
    
    List<EnterpriseDangerNumDTO> selectEnterpriseDangerNum(String enterpriseId);
}